Subject: bug#18969: 25.0.50; byte compiler warnings don't conform to GCS

From: Rüdiger Sonderfeld <[email-masked]>
Date: Thu, 06 Nov 2014 21:27:33 +0100

On Wednesday 05 November 2014 19:58:04 Tom Tromey wrote:
> The output here is missing a space after the ":".

I wrote a quick fix for it.  But I'm not sure if this is the best approach:

diff --git a/lisp/emacs-lisp/bytecomp.el b/lisp/emacs-lisp/bytecomp.el
index 392f6ee..d2bbefa 100644
--- a/lisp/emacs-lisp/bytecomp.el
+++ b/lisp/emacs-lisp/bytecomp.el
@@ -1082,7 +1082,7 @@ (defun byte-compile-warning-prefix (level entry)
                            byte-compile-last-warned-form))))
       (insert (format "\nIn %s:\n" form)))
     (when level
-      (insert (format "%s%s" file pos))))
+      (insert (format "%s%s " file pos))))
   (setq byte-compile-last-logged-file byte-compile-current-file
        byte-compile-last-warned-form byte-compile-current-form)
   entry)

> Also I think the "W" in warning should probably not be capitalized.
> I note that GCC doesn't do this.

Not sure if there is a good solution for this.  The warning levels are 
predefined in the variable `warning-levels'.  They could be changed to lower 
case but that would break cases when there is no prefix.

Regards,
Rüdiger